Welcome, Guest. Please login or register.

Author Topic: Problem with discovery nedi 1.09  (Read 1696 times)

sodium

  • Guest
Problem with discovery nedi 1.09
« on: April 07, 2014, 02:11:51 PM »
Hi,

i have this problem when nedi try to log in with ssh to a cisco.

Prepare (CLI)  ----------------------------------------------------------------
SSH :admin@10.96.240.21:22 Tout:2s OS:IOS EN:[\w+().-]+#\s?$
Can't locate object method "new" via package "IO::Pty" (perhaps you forgot to load "IO::Pty"?) at ./inc/libcli.pm line 1069.


thx

rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2780
    • View Profile
    • NeDi
Re: Problem with discovery nedi 1.09
« Reply #1 on: April 07, 2014, 03:17:50 PM »
You need the pty-io perl library (libio-pty-perl in Ubuntu)
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

leckermojito

  • Newbie
  • *
  • Posts: 16
    • View Profile
Re: Problem with discovery nedi 1.09
« Reply #2 on: April 07, 2014, 04:09:39 PM »
on Ubuntu: sudo apt-get install libio-pty-perl 8)

cheers

Benjamin
cheers

Benjamin